import setuptools

setuptools.setup(
    name="image_broker",
    version="0.1.0",
    author="Stefan Lingner",
    author_email="slingner@geomar.de",
    description="image broker",
    packages=setuptools.find_packages(),
    include_package_data=True,
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.6',
    install_requires=[
        'Flask_RESTful',
        'Flask',
        'Flask-IIIF',
        'elements-sdk>=3.4.0, <3.5.0',
        'requests',
        'python-dotenv'
    ]
)
